New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Documentation refers to org.projectreactor:reactor-net which seem not to exist on projectreactor Bismuth [SPR-16802] #21342

Closed
spring-issuemaster opened this Issue May 9, 2018 · 2 comments

Comments

Projects
None yet
2 participants
@spring-issuemaster
Copy link
Collaborator

spring-issuemaster commented May 9, 2018

Ilpo Kettunen opened SPR-16802 and commented

Documentation for STOMP External broker configuration mention org.projectreactor:reactor-net as needed dependency. But current Springframework depend on projectreactor Bismuth-SR9 which do not have that package anymore.

See: https://docs.spring.io/spring/docs/5.0.6.RELEASE/spring-framework-reference/web.html#websocket-stomp-handle-broker-relay


Affects: 5.0.6

Referenced from: commits 82a8e42, 9179a4f

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator

spring-issuemaster commented May 14, 2018

Ilpo Kettunen commented

Is there typo on this fix?

Shouldn't it be io.projectreactor.*ipc*:reactor-netty instead of io.projectreactor.*netty*:reactor-netty

 

82a8e42

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator

spring-issuemaster commented May 14, 2018

Rossen Stoyanchev commented

The groupId is changing to io.projectreactor.reactor in 0.8, so this is in anticipation of that.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment